USE [SampleGeographyData]
GO

/****** Object:  StoredProcedure [dbo].[usp_CountiesByIntersection]    Script Date: 12/30/2010 14:03:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO







--
-- Get counties within a geography (e.g. Polygon)
--
CREATE PROCEDURE [dbo].[usp_CountiesByIntersection]
	@Box geography,
	@Geo geography = NULL
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	
	SELECT NAME, [STATE], AREA, the_geo
	FROM dbo.uscounties
	WHERE 
		(@Box.STIntersects(the_geo) = 1) AND
		((@Geo is null) or (@Geo.STIntersects(the_geo) = 1))
END







GO

