﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.UI;
using DataConDemoWebRole.Models;
using DataConDemoWebRole.Business;
using System.Diagnostics;

namespace DataConDemoWebRole.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return Redirect("/Home/MainPage");
        }

        // top level view
        public ActionResult MainPage()
        {
            return View();
        }

        // return a source file as viewable text
        public ActionResult ShowSourceAsHtml(string file)
        {
            var code = System.IO.File.ReadAllText(Server.MapPath(file));
            ViewData.Model = code;
            return View();
        }

        // return partial view
        public ActionResult GettingStarted()
        {
            return View();
        }

        // return partial view
        public ActionResult Drawing()
        {
            return View();
        }

        // return partial view
        public ActionResult Tiling()
        {
            return View();
        }

        // return partial view
        public ActionResult Hybrid()
        {
            return View();
        }

    }
}
