﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.SqlServer.Types;

namespace DataConDemoWebRole.Models
{
    public class BoundingBoxQuery
    {
        public string[] Tables { get; set; }
        public SqlGeography Box { get; set; }
        public SqlGeography Shape { get; set; } // optional
        public double? Distance { get; set; } // optional
    }

    public class BoundingBox
    {
        public double North { get; set; }
        public double South { get; set; }
        public double East { get; set; }
        public double West { get; set; }
    }

    public class Location
    {
        public double Latitude { get; set; }
        public double Longitude { get; set; }
    }
}