﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using DataConDemoWebRole.Models.GeoJson;

namespace DataConDemoWebRole.Models
{
    /// <summary>
    /// This class is returned to the client. It contains all of the data to be displayed.
    /// </summary>
    public class MapDataModel
    {
        public string error { get; set; }

        public Dictionary<string, FeatureCollection> featureSet { get; set; }

        public Metrics metrics { get; set; }

        public MapDataModel()
        {
            featureSet = new Dictionary<string, FeatureCollection>();
            metrics = new Metrics();
        }
    }
}