﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MainPage</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=8"/>
    <link type="text/css" rel="Stylesheet" href="<%: Url.Content("~/Content/jquery-ui-1.8.6.darkness/css/ui-darkness/jquery-ui-1.8.6.custom.css") %>" />
    <link type="text/css" rel="Stylesheet" href="<%: Url.Content("~/Content/Site.css") %>" />
    <script type="text/javascript" src="http://ajax.microsoft.com/ajax/jquery/jquery-1.4.2.min.js"></script>
    <script type="text/javascript" src="<%: Url.Content("~/Content/jquery-ui-1.8.6.darkness/js/jquery-ui-1.8.6.custom.min.js") %>"></script>
    <script charset="UTF-8" type="text/javascript" src="http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=7.0"></script>
    <script type="text/javascript" src="<%: Url.Content("~/Scripts/MainPage.js") %>"></script>
</head>
<body>
    <!-- This is the top level page, and contains the tabs that show useful stuff. -->
    <div id="MainPageTabs">
        <ul>
            <li>
                <%: Html.ActionLink("Getting Started", "GettingStarted") %></li>
            <li>
                <%: Html.ActionLink("Vector Data On The Map", "Drawing") %></li>
            <li>
                <%: Html.ActionLink("Tiling On The Map", "Tiling") %></li>
            <li>
                <%: Html.ActionLink("Hybrid Map", "Hybrid") %></li>
        </ul>
    </div>
    <div id="Loading">
        <div>
            Loading...</div>
        <div class="load_mover">
            &nbsp;</div>
    </div>
    <div id="NoDataFound">
        Nothing was found in this area. Please change the query and try again.</div>
    <div id="ErrorPage">
    </div>
    <div id="CreatedBy">
        <span>Created by</span> <a target="_blank" href="http://www.onterrasys.com">
            <img src="../../Content/Images/onterra_small.png" alt="onterra" /></a>
    </div>
</body>
</html>
